Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class STBSV

    java.lang.Object
      org.netlib.blas.STBSV

    public class STBSV

extends java.lang.Object

    STBSV is a simplified interface to the JLAPACK routine stbsv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  STBSV  solves one of the systems of equations
     *
     *     A*x = b,   or   A'*x = b,
     *
     *  where b and x are n element vectors and A is an n by n unit, or
     *  non-unit, upper or lower triangular band matrix, with ( k + 1 )
     *  diagonals.
     *
     *  No test for singularity or near-singularity is included in this
     *  routine. Such tests must be performed before calling this routine.
     *
     *  Arguments
     *  ==========
     *
     *  UPLO   - CHARACTER*1.
     *           On entry, UPLO specifies whether the matrix is an upper or
     *           lower triangular matrix as follows:
     *
     *              UPLO = 'U' or 'u'   A is an upper triangular matrix.
     *
     *              UPLO = 'L' or 'l'   A is a lower triangular matrix.
     *
     *           Unchanged on exit.
     *
     *  TRANS  - CHARACTER*1.
     *           On entry, TRANS specifies the equations to be solved as
     *           follows:
     *
     *              TRANS = 'N' or 'n'   A*x = b.
     *
     *              TRANS = 'T' or 't'   A'*x = b.
     *
     *              TRANS = 'C' or 'c'   A'*x = b.
     *
     *           Unchanged on exit.
     *
     *  DIAG   - CHARACTER*1.
     *           On entry, DIAG specifies whether or not A is unit
     *           triangular as follows:
     *
     *              DIAG = 'U' or 'u'   A is assumed to be unit triangular.
     *
     *              DIAG = 'N' or 'n'   A is not assumed to be unit
     *                                  triangular.
     *
     *           Unchanged on exit.
     *
     *  N      - INTEGER.
     *           On entry, N specifies the order of the matrix A.
     *           N must be at least zero.
     *           Unchanged on exit.
     *
     *  K      - INTEGER.
     *           On entry with UPLO = 'U' or 'u', K specifies the number of
     *           super-diagonals of the matrix A.
     *           On entry with UPLO = 'L' or 'l', K specifies the number of
     *           sub-diagonals of the matrix A.
     *           K must satisfy  0 .le. K.
     *           Unchanged on exit.
     *
     *  A      - REAL             array of DIMENSION ( LDA, n ).
     *           Before entry with UPLO = 'U' or 'u', the leading ( k + 1 )
     *           by n part of the array A must contain the upper triangular
     *           band part of the matrix of coefficients, supplied column by

     *           column, with the leading diagonal of the matrix in row
     *           ( k + 1 ) of the array, the first super-diagonal starting at
     *           position 2 in row k, and so on. The top left k by k triangle
     *           of the array A is not referenced.
     *           The following program segment will transfer an upper
     *           triangular band matrix from conventional full matrix storage
     *           to band storage:
     *
     *                 DO 20, J = 1, N
     *                    M = K + 1 - J
     *                    DO 10, I = MAX( 1, J - K ), J
     *                       A( M + I, J ) = matrix( I, J )
     *              10    CONTINUE
     *              20 CONTINUE
     *
     *           Before entry with UPLO = 'L' or 'l', the leading ( k + 1 )
     *           by n part of the array A must contain the lower triangular
     *           band part of the matrix of coefficients, supplied column by

     *           column, with the leading diagonal of the matrix in row 1 of

     *           the array, the first sub-diagonal starting at position 1 in

     *           row 2, and so on. The bottom right k by k triangle of the
     *           array A is not referenced.
     *           The following program segment will transfer a lower
     *           triangular band matrix from conventional full matrix storage
     *           to band storage:
     *
     *                 DO 20, J = 1, N
     *                    M = 1 - J
     *                    DO 10, I = J, MIN( N, J + K )
     *                       A( M + I, J ) = matrix( I, J )
     *              10    CONTINUE
     *              20 CONTINUE
     *
     *           Note that when DIAG = 'U' or 'u' the elements of the array A
     *           corresponding to the diagonal elements of the matrix are not
     *           referenced, but are assumed to be unity.
     *           Unchanged on exit.
     *
     *  LDA    - INTEGER.
     *           On entry, LDA specifies the first dimension of A as declared
     *           in the calling (sub) program. LDA must be at least
     *           ( k + 1 ).
     *           Unchanged on exit.
     *
     *  X      - REAL             array of dimension at least
     *           ( 1 + ( n - 1 )*abs( INCX ) ).
     *           Before entry, the incremented array X must contain the n
     *           element right-hand side vector b. On exit, X is overwritten

     *           with the solution vector x.
     *
     *  INCX   - INTEGER.
     *           On entry, INCX specifies the increment for the elements of
     *           X. INCX must not be zero.
     *           Unchanged on exit.
     *
     *
     *  Level 2 Blas routine.
     *
     *  -- Written on 22-October-1986.
     *     Jack Dongarra, Argonne National Lab.
     *     Jeremy Du Croz, Nag Central Office.
     *     Sven Hammarling, Nag Central Office.
     *     Richard Hanson, Sandia National Labs.
     *
     *
     *     .. Parameters ..

Constructor Summary
`STBSV()`

Method Summary
`static void` | `STBSV(java.lang.String uplo, java.lang.String trans, java.lang.String diag, int n, int k, float[][] a, float[] x, int incx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STBSV

    public STBSV()

Method Detail

### STBSV

    public static void STBSV(java.lang.String uplo,
                             java.lang.String trans,
                             java.lang.String diag,
                             int n,
                             int k,
                             float[][] a,
                             float[] x,
                             int incx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD